PBALIGN(1)

NAME
pbalign - Mapping PacBio sequences to references

DESCRIPTION
usage: pbalign [-h] [--version] [--log-file LOG_FILE]

    [--log-level {DEBUG,INFO,WARNING,ERROR,CRITICAL} | --debug | --quiet | -v] [--pdb] [--regionTable REGIONTABLE] [--configFile CONFIGFILE] [--pulseFile PULSEFILE] [--algorithm {blasr,bowtie,gmap}] [--maxHits MAXHITS] [--minAnchorSize MINANCHORSIZE] [--maxMatch MAXMATCH] [--useccs {useccs,useccsall,useccsdenovo}] [--noSplitSubreads] [--concordant] [--nproc NPROC] [--algorithmOptions ALGORITHMOPTIONS] [--maxDivergence MAXDIVERGENCE] [--minAccuracy MINACCURACY] [--minLength MINLENGTH] [--scoreCutoff SCORECUTOFF] [--hitPolicy {randombest,allbest,random,all,leftmost}] [--filterAdapterOnly] [--unaligned UNALIGNED] [--seed SEED] [--tmpDir TMPDIR] [--profile] inputFileName referencePath outputFileName

Mapping PacBio sequences to references using an algorithm selected from a selection of supported command-line alignment algorithms. Input can be a fasta, pls.h5, bas.h5 or ccs.h5 file or a fofn (file of file names). Output can be in SAM or BAM format. If output is BAM format, aligner can only be blasr and QVs will be loaded automatically. NOTE that pbalign no longer supports CMP.H5 in 3.0.

  positional arguments:

inputFileName
    SubreadSet or unaligned .bam

referencePath
    Reference DataSet or FASTA file

outputFileName
    Alignment results dataset

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

--log-file LOG_FILE
    Write the log to file. Default(None) will write to stdout. (default: None)

--log-level {DEBUG,INFO,WARNING,ERROR,CRITICAL}
    Set log level (default: INFO)

--debug
    Alias for setting log level to DEBUG (default: False)

--quiet
    Alias for setting log level to CRITICAL to suppress output. (default: False)

-v, --verbose
    Set the verbosity level. (default: None)

--pdb
    Enable Python debugger (default: False)

--profile
    Print runtime profile at exit (default: False)

  Optional input arguments:

--regionTable REGIONTABLE
    Specify a region table for filtering reads. (default: None)

--configFile CONFIGFILE
    Specify a set of user-defined argument values. (default: None)

--pulseFile PULSEFILE
    When input reads are in fasta format and output is a cmp.h5 this option can specify pls.h5 or bas.h5 or FOFN files from which pulse metrics can be loaded for Quiver. (default: None)

  Alignment options:

--algorithm {blasr,bowtie,gmap}
    Select an aligorithm from ('blasr', 'bowtie', 'gmap'). (default: blasr)

--maxHits MAXHITS
    The maximum number of matches of each read to the reference sequence that will be evaluated. (default: None)

--minAnchorSize MINANCHORSIZE
    The minimum anchor size defines the length of the read that must match against the reference sequence. (default: None)

--maxMatch MAXMATCH
    BLASR maxMatch option. (Will be overriden if is also set in algorithmOptions) (default: 30)

--useccs {useccs,useccsall,useccsdenovo}
    Map the ccsSequence to the genome first, then align subreads to the interval that the CCS reads mapped to. useccs: only maps subreads that span the length of the template. useccsall: maps all subreads. useccsdenovo: maps ccs only. (default: None)

--noSplitSubreads
    Do not split reads into subreads even if subread regions are available. (default: False)

--concordant
    Map subreads of a ZMW to the same genomic location. (default: False)

--nproc NPROC
    Number of threads. (default: 8)

--algorithmOptions ALGORITHMOPTIONS
    Pass alignment options through. (default: None)

  Filter criteria options:

--maxDivergence MAXDIVERGENCE
    The maximum allowed percentage divergence of a read from the reference sequence. (default: 30.0)

--minAccuracy MINACCURACY
    The minimum concordance of alignments that will be evaluated. (default: 70.0)

--minLength MINLENGTH
    The minimum aligned read length of alignments that will be evaluated. (default: 50)

--scoreCutoff SCORECUTOFF
    The worst score to output an alignment. (default: None)

--hitPolicy {randombest,allbest,random,all,leftmost}
    Specify a policy for how to treat multiple hit random : selects a random hit. all : selects all hits. allbest : selects all the best score hits. randombest: selects a random hit from all best score hits. leftmost : selects a hit which has the best score and the smallest mapping coordinate in any reference. (default: randombest)

--filterAdapterOnly
    If specified, do not report adapter-only hits using annotations with the reference entry. (default: False)

  Miscellaneous options:

--unaligned UNALIGNED
    Output names of unaligned reads to specified file. (default: None)

--seed SEED
    Initialize the random number generator with a nonezero integer. Zero means that current system time is used. (default: 1)

--tmpDir TMPDIR
    Specify a directory for saving temporary files. (default: /tmp)